Users
Users are the individual Spoke Users in your account. You can query this API to get all active users and their current system availability.
List users with availability
This API endpoint lists all users in your organisation and their current availability.
query Parameters
emailFilter users by email address. Exact match only. If there is a user with the given email address, the response will contain one user with that email address.
Headers
AuthorizationAuthorization header bearing the access token
List users with availability › Responses
Users
desktopEnrolledReleaseChannelThe user's current enrolled release channel for the Spoke Phone desktop application.
This field will contain one of the following values:
- stable: latest stable release
- beta: beta pre-release
- alpha: alpha early access release
displayNameUser’s name as it appears in the Spoke Directory
idThe id of the user
isDirectorySyncedIndicates whether the user is managed via the organisation's employee directory platform.
loginStatusThe list of phone numbers (DIDs) associated with this user
statusThe current registration status of the user. Will be one of invited, active or suspended
typeThe user's current availability to take calls.
emailUser's email address (as registered in Spoke)
extensionUser's extension
firstNameUser's first name
jobTitleUser's job title (as registered in Spoke)
lastNameUser's last name
licensesThe names of the licenses assigned to this user.
locationUser’s location (as registered in Spoke)
The entry in the Spoke directory for the manager assigned to the user.
This field identifies the entry for the manager in the Spoke directory. The directory entry for the manager will always have a type of user.
This field will be null if a manager has not been assigned to the user.
mobileUser's mobile number (as registered in Spoke)
This will be omitted if the organisation is configured to exclude mobile numbers from API responses
teamsThe list of team names that the user is a member of
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.
Get a user
Retrieve a user resource, and its data.
path Parameters
idThe user ID
Headers
AuthorizationAuthorization header bearing the access token
Get a user › Responses
User
desktopEnrolledReleaseChannelThe user's current enrolled release channel for the Spoke Phone desktop application.
This field will contain one of the following values:
- stable: latest stable release
- beta: beta pre-release
- alpha: alpha early access release
displayNameUser’s name as it appears in the Spoke Directory
idThe id of the user
isDirectorySyncedIndicates whether the user is managed via the organisation's employee directory platform.
loginStatusThe list of phone numbers (DIDs) associated with this user
statusThe current registration status of the user. Will be one of invited, active or suspended
typeThe user's current availability to take calls.
emailUser's email address (as registered in Spoke)
extensionUser's extension
firstNameUser's first name
jobTitleUser's job title (as registered in Spoke)
lastNameUser's last name
licensesThe names of the licenses assigned to this user.
locationUser’s location (as registered in Spoke)
The entry in the Spoke directory for the manager assigned to the user.
This field identifies the entry for the manager in the Spoke directory. The directory entry for the manager will always have a type of user.
This field will be null if a manager has not been assigned to the user.
mobileUser's mobile number (as registered in Spoke)
This will be omitted if the organisation is configured to exclude mobile numbers from API responses
teamsThe list of team names that the user is a member of
twimlRedirectUrlRedirecting an inbound Twilio call to this target url will transfer the call to this entry. Use this URL to send a call to Spoke from Twilio Studio, Flex or your own TwiML application.
You can add additional parameters to this url to control how the call is handled by Spoke. See Routing Twilio Calls into Spoke for more information.